Subject: bug#37425: closed (Re: bug#37425: Go 1.12.7 fails to build on i686-linux)

From: [email-masked] (GNU bug Tracking System)
Date: Mon, 16 Sep 2019 22:00:04 +0000

Your bug report

#37425: Go 1.12.7 fails to build on i686-linux

which was filed against the guix package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
37425: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=37425
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#37425: Go 1.12.7 fails to build on i686-linux
From: Ludovic Courtès <[email-masked]>
To: [email-masked]
Date: Mon, 16 Sep 2019 23:59:00 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Hello,

Ludovic Courtès <[email-masked]> skribis:

> I found these issues that suggest the test has been flaky:
>
>   https://github.com/golang/go/issues/4155
>   https://github.com/golang/go/issues/28574
>
> Unless someone has a better idea, I’d suggest skipping this test on
> i686.

Commit b938892551816aedd01fd32b7eb1d5e061afce32 patches the test to skip
it on all platforms after I had experienced it on x86_64 as well (the
test was in fact already skipped on some platforms.)

According to <https://github.com/golang/go/issues/27636>, the underlying
issue has been fixed just 11 days ago.

Ludo’.

Subject: Go 1.12.7 fails to build on i686-linux
From: Ludovic Courtès <[email-masked]>
To: [email-masked]
Date: Mon, 16 Sep 2019 14:41:59 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Hello,

Go 1.12.7 has test failures on i686-linux, on ‘core-updates’:

--8<---------------cut here---------------start------------->8---
ok      path/filepath   0.041s
ok      plugin  0.038s
ok      reflect 0.328s
ok      regexp  0.241s
ok      regexp/syntax   1.026s
--- FAIL: TestGcSys (0.08s)
    gc_test.go:33: expected "OK\n", but got "using too much memory: 17899520 bytes\n"
FAIL
FAIL    runtime 37.967s
ok      runtime/debug   0.103s

[…]

ok      cmd/vendor/golang.org/x/sys/unix        0.391s
ok      cmd/vet 8.529s
2019/09/16 12:33:32 Failed: exit status 1
command "sh" "all.bash" failed with status 1
builder for `/gnu/store/i2rs47n4000q9dh76alxvjgiry9pq6vj-go-1.12.7.drv' failed with exit code 1
--8<---------------cut here---------------end--------------->8---

(From
<https://ci.guix.gnu.org/log/pv1clywg43pb8fknrd2zs1zk4wd26fq0-go-1.12.7>.)

I found these issues that suggest the test has been flaky:

  https://github.com/golang/go/issues/4155
  https://github.com/golang/go/issues/28574

Unless someone has a better idea, I’d suggest skipping this test on
i686.

Thoughts?

Ludo’.